Jump to content
  • Checkout
  • Login
  • Get in touch

osCommerce

The e-commerce.

application_top


cencami

Recommended Posts

Hi guys I finally installed osc to mandriva linux

web based installation is finished with success.

I see the catalog or admin button and clicked on admin and catalog button . the error message I get is listed below. please help me with this. I used to have diffrent language installed other then english mandriva. I was thinking maybe php see that and trying to find that version files under /includes/language folder.

so what do you think.?

 

warning: main(includes/languages/.php): failed to open stream: No such file or directory in /usr/local/apache2/htdocs/catalog/includes/application_top.php on line 285

 

Fatal error: main(): Failed opening required 'includes/languages/.php' (include_path='.:/usr/local/lib/php') in /usr/local/apache2/htdocs/catalog/includes/application_top.php on line 285

Link to comment
Share on other sites

Hi guys I finally installed osc to mandriva linux

web based installation is finished with success.

I see the catalog or admin button and clicked on admin and catalog button . the error message I get is listed below. please help me with this. I used to have diffrent language installed other then english mandriva. I was thinking maybe php see that and trying to find that version files under /includes/language folder.

so what do you think.?

 

warning: main(includes/languages/.php): failed to open stream: No such file or directory in /usr/local/apache2/htdocs/catalog/includes/application_top.php on line 285

 

Fatal error: main(): Failed opening required 'includes/languages/.php' (include_path='.:/usr/local/lib/php') in /usr/local/apache2/htdocs/catalog/includes/application_top.php on line 285

Sounds like it can not work out what language it should be using. What version of apache, mysql and php are you using?

Dont forget to Search. Your problem has already been fixed before.<br>

Please visit Manchester-Fireworks.com.

Link to comment
Share on other sites

Sounds like it can not work out what language it should be using.  What version of apache, mysql and php are you using?

 

I am using apache2

mysql 4.1.12-max

and php 4.3.11

 

I enter the command listed below to start the mysql

[root@localhost cemal]# /usr/local/mysql/bin/mysqld -u root

050704 18:50:26 InnoDB: Started; log sequence number 0 43718

/usr/local/mysql/bin/mysqld: ready for connections.

Version: '4.1.12-max-log' socket: '/tmp/mysql.sock' port: 3306 MySQL Community Edition - Experimental (GPL)

AFTER I ENTER THIS COMMAND IT GETS STUCK. IT NEVER LET ME ENTER ANYTHING ELSE. I END UP KILLING THE COMMAND WINDOW.

then when I try to go to my localhost I get this error listed below

Warning: mysql_connect(): Client does not support authentication protocol requested by server; consider upgrading MySQL client in /usr/local/apache2/htdocs/catalog/includes/functions/database.php on line 19

Unable to connect to database server!

 

please help

thanks

Link to comment
Share on other sites

Archived

This topic is now archived and is closed to further replies.

×
×
  • Create New...